Bug 129107

Summary: Stop generating Objective-C bindings for the SVG DOM
Product: WebKit Reporter: David Kilzer (:ddkilzer) <ddkilzer>
Component: WebCore Misc.Assignee: David Kilzer (:ddkilzer) <ddkilzer>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, cdumez, cgarcia, commit-queue, eric.carlson, kling, koivisto, ossy, rniwa, thorton
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 114076    
Bug Blocks:    
Attachments:
Description Flags
Patch v1 none

Description David Kilzer (:ddkilzer) 2014-02-20 09:38:45 PST
Bug 114076 stopped compiling the Objective-C bindings for the SVG DOM, but we continued to generate the header and source files after that landed in r147822.
Comment 1 David Kilzer (:ddkilzer) 2014-02-20 09:40:07 PST
Here's a comparison of the DerivedSources directory before and after the patch (only DOMSVG* files changed, and they were all removed):

 DOMSVGAElement.h                                 |   37 --
 DOMSVGAElement.mm                                |   78 ----
 DOMSVGAElementInternal.h                         |   34 -
 DOMSVGAltGlyphDefElement.h                       |   31 -
 DOMSVGAltGlyphDefElement.mm                      |   61 ---
 DOMSVGAltGlyphDefElementInternal.h               |   34 -
 DOMSVGAltGlyphElement.h                          |   37 --
 DOMSVGAltGlyphElement.mm                         |   98 -----
 DOMSVGAltGlyphElementInternal.h                  |   34 -
 DOMSVGAltGlyphItemElement.h                      |   31 -
 DOMSVGAltGlyphItemElement.mm                     |   61 ---
 DOMSVGAltGlyphItemElementInternal.h              |   34 -
 DOMSVGAngle.h                                    |   48 --
 DOMSVGAngle.mm                                   |  177 ----------
 DOMSVGAngleInternal.h                            |   36 --
 DOMSVGAnimateColorElement.h                      |   31 -
 DOMSVGAnimateColorElement.mm                     |   56 ---
 DOMSVGAnimateColorElementInternal.h              |   34 -
 DOMSVGAnimateElement.h                           |   31 -
 DOMSVGAnimateElement.mm                          |   56 ---
 DOMSVGAnimateElementInternal.h                   |   34 -
 DOMSVGAnimateMotionElement.h                     |   31 -
 DOMSVGAnimateMotionElement.mm                    |   56 ---
 DOMSVGAnimateMotionElementInternal.h             |   34 -
 DOMSVGAnimateTransformElement.h                  |   31 -
 DOMSVGAnimateTransformElement.mm                 |   56 ---
 DOMSVGAnimateTransformElementInternal.h          |   34 -
 DOMSVGAnimatedAngle.h                            |   35 --
 DOMSVGAnimatedAngle.mm                           |   96 -----
 DOMSVGAnimatedAngleInternal.h                    |   32 -
 DOMSVGAnimatedBoolean.h                          |   33 -
 DOMSVGAnimatedBoolean.mm                         |  102 -----
 DOMSVGAnimatedBooleanInternal.h                  |   32 -
 DOMSVGAnimatedEnumeration.h                      |   33 -
 DOMSVGAnimatedEnumeration.mm                     |  102 -----
 DOMSVGAnimatedEnumerationInternal.h              |   32 -
 DOMSVGAnimatedInteger.h                          |   33 -
 DOMSVGAnimatedInteger.mm                         |  102 -----
 DOMSVGAnimatedIntegerInternal.h                  |   32 -
 DOMSVGAnimatedLength.h                           |   35 --
 DOMSVGAnimatedLength.mm                          |   96 -----
 DOMSVGAnimatedLengthInternal.h                   |   32 -
 DOMSVGAnimatedLengthList.h                       |   35 --
 DOMSVGAnimatedLengthList.mm                      |   96 -----
 DOMSVGAnimatedLengthListInternal.h               |   32 -
 DOMSVGAnimatedNumber.h                           |   33 -
 DOMSVGAnimatedNumber.mm                          |  102 -----
 DOMSVGAnimatedNumberInternal.h                   |   32 -
 DOMSVGAnimatedNumberList.h                       |   35 --
 DOMSVGAnimatedNumberList.mm                      |   96 -----
 DOMSVGAnimatedNumberListInternal.h               |   32 -
 DOMSVGAnimatedPreserveAspectRatio.h              |   35 --
 DOMSVGAnimatedPreserveAspectRatio.mm             |   96 -----
 DOMSVGAnimatedPreserveAspectRatioInternal.h      |   32 -
 DOMSVGAnimatedRect.h                             |   35 --
 DOMSVGAnimatedRect.mm                            |   96 -----
 DOMSVGAnimatedRectInternal.h                     |   32 -
 DOMSVGAnimatedString.h                           |   35 --
 DOMSVGAnimatedString.mm                          |  103 -----
 DOMSVGAnimatedStringInternal.h                   |   32 -
 DOMSVGAnimatedTransformList.h                    |   35 --
 DOMSVGAnimatedTransformList.mm                   |   96 -----
 DOMSVGAnimatedTransformListInternal.h            |   32 -
 DOMSVGAnimationElement.h                         |   50 --
 DOMSVGAnimationElement.mm                        |  144 --------
 DOMSVGAnimationElementInternal.h                 |   34 -
 DOMSVGCircleElement.h                            |   38 --
 DOMSVGCircleElement.mm                           |   84 ----
 DOMSVGCircleElementInternal.h                    |   34 -
 DOMSVGClipPathElement.h                          |   36 --
 DOMSVGClipPathElement.mm                         |   72 ----
 DOMSVGClipPathElementInternal.h                  |   34 -
 DOMSVGColor.h                                    |   47 --
 DOMSVGColor.mm                                   |   95 -----
 DOMSVGColorInternal.h                            |   34 -
 DOMSVGComponentTransferFunctionElement.h         |   51 --
 DOMSVGComponentTransferFunctionElement.mm        |  109 ------
 DOMSVGComponentTransferFunctionElementInternal.h |   34 -
 DOMSVGCursorElement.h                            |   46 --
 DOMSVGCursorElement.mm                           |  113 ------
 DOMSVGCursorElementInternal.h                    |   34 -
 DOMSVGDefsElement.h                              |   34 -
 DOMSVGDefsElement.mm                             |   64 ---
 DOMSVGDefsElementInternal.h                      |   34 -
 DOMSVGDescElement.h                              |   31 -
 DOMSVGDescElement.mm                             |   56 ---
 DOMSVGDescElementInternal.h                      |   34 -
 DOMSVGDocument.h                                 |   38 --
 DOMSVGDocument.mm                                |   76 ----
 DOMSVGDocumentInternal.h                         |   34 -
 DOMSVGElement.h                                  |   47 --
 DOMSVGElement.mm                                 |  134 -------
 DOMSVGElementInstance.dep                        |    2 
 DOMSVGElementInstance.h                          |   45 --
 DOMSVGElementInstance.mm                         |  178 ----------
 DOMSVGElementInstanceInternal.h                  |   34 -
 DOMSVGElementInstanceList.h                      |   36 --
 DOMSVGElementInstanceList.mm                     |   96 -----
 DOMSVGElementInstanceListInternal.h              |   34 -
 DOMSVGElementInternal.h                          |   34 -
 DOMSVGEllipseElement.h                           |   39 --
 DOMSVGEllipseElement.mm                          |   90 -----
 DOMSVGEllipseElementInternal.h                   |   34 -
 DOMSVGException.h                                |   42 --
 DOMSVGException.mm                               |  101 -----
 DOMSVGExceptionInternal.h                        |   34 -
 DOMSVGExternalResourcesRequired.cpp              |    6 
 DOMSVGExternalResourcesRequired.h                |    6 
 DOMSVGFEBlendElement.h                           |   52 ---
 DOMSVGFEBlendElement.mm                          |  115 ------
 DOMSVGFEBlendElementInternal.h                   |   34 -
 DOMSVGFEColorMatrixElement.h                     |   52 ---
 DOMSVGFEColorMatrixElement.mm                    |  117 ------
 DOMSVGFEColorMatrixElementInternal.h             |   34 -
 DOMSVGFEComponentTransferElement.h               |   40 --
 DOMSVGFEComponentTransferElement.mm              |  101 -----
 DOMSVGFEComponentTransferElementInternal.h       |   34 -
 DOMSVGFECompositeElement.h                       |   58 ---
 DOMSVGFECompositeElement.mm                      |  141 --------
 DOMSVGFECompositeElementInternal.h               |   34 -
 DOMSVGFEConvolveMatrixElement.h                  |   63 ---
 DOMSVGFEConvolveMatrixElement.mm                 |  177 ----------
 DOMSVGFEConvolveMatrixElementInternal.h          |   34 -
 DOMSVGFEDiffuseLightingElement.h                 |   45 --
 DOMSVGFEDiffuseLightingElement.mm                |  127 -------
 DOMSVGFEDiffuseLightingElementInternal.h         |   34 -
 DOMSVGFEDisplacementMapElement.h                 |   54 ---
 DOMSVGFEDisplacementMapElement.mm                |  129 -------
 DOMSVGFEDisplacementMapElementInternal.h         |   34 -
 DOMSVGFEDistantLightElement.h                    |   35 --
 DOMSVGFEDistantLightElement.mm                   |   75 ----
 DOMSVGFEDistantLightElementInternal.h            |   34 -
 DOMSVGFEDropShadowElement.h                      |   47 --
 DOMSVGFEDropShadowElement.mm                     |  133 -------
 DOMSVGFEDropShadowElementInternal.h              |   34 -
 DOMSVGFEFloodElement.h                           |   39 --
 DOMSVGFEFloodElement.mm                          |   95 -----
 DOMSVGFEFloodElementInternal.h                   |   34 -
 DOMSVGFEFuncAElement.h                           |   31 -
 DOMSVGFEFuncAElement.mm                          |   61 ---
 DOMSVGFEFuncAElementInternal.h                   |   34 -
 DOMSVGFEFuncBElement.h                           |   31 -
 DOMSVGFEFuncBElement.mm                          |   61 ---
 DOMSVGFEFuncBElementInternal.h                   |   34 -
 DOMSVGFEFuncGElement.h                           |   31 -
 DOMSVGFEFuncGElement.mm                          |   61 ---
 DOMSVGFEFuncGElementInternal.h                   |   34 -
 DOMSVGFEFuncRElement.h                           |   31 -
 DOMSVGFEFuncRElement.mm                          |   61 ---
 DOMSVGFEFuncRElementInternal.h                   |   34 -
 DOMSVGFEGaussianBlurElement.h                    |   54 ---
 DOMSVGFEGaussianBlurElement.mm                   |  129 -------
 DOMSVGFEGaussianBlurElementInternal.h            |   34 -
 DOMSVGFEImageElement.h                           |   44 --
 DOMSVGFEImageElement.mm                          |  117 ------
 DOMSVGFEImageElementInternal.h                   |   34 -
 DOMSVGFEMergeElement.h                           |   39 --
 DOMSVGFEMergeElement.mm                          |   95 -----
 DOMSVGFEMergeElementInternal.h                   |   34 -
 DOMSVGFEMergeNodeElement.h                       |   34 -
 DOMSVGFEMergeNodeElement.mm                      |   69 ----
 DOMSVGFEMergeNodeElementInternal.h               |   34 -
 DOMSVGFEMorphologyElement.h                      |   53 ---
 DOMSVGFEMorphologyElement.mm                     |  129 -------
 DOMSVGFEMorphologyElementInternal.h              |   34 -
 DOMSVGFEOffsetElement.h                          |   43 --
 DOMSVGFEOffsetElement.mm                         |  115 ------
 DOMSVGFEOffsetElementInternal.h                  |   34 -
 DOMSVGFEPointLightElement.h                      |   36 --
 DOMSVGFEPointLightElement.mm                     |   81 ----
 DOMSVGFEPointLightElementInternal.h              |   34 -
 DOMSVGFESpecularLightingElement.h                |   44 --
 DOMSVGFESpecularLightingElement.mm               |  121 -------
 DOMSVGFESpecularLightingElementInternal.h        |   34 -
 DOMSVGFESpotLightElement.h                       |   41 --
 DOMSVGFESpotLightElement.mm                      |  111 ------
 DOMSVGFESpotLightElementInternal.h               |   34 -
 DOMSVGFETileElement.h                            |   40 --
 DOMSVGFETileElement.mm                           |  101 -----
 DOMSVGFETileElementInternal.h                    |   34 -
 DOMSVGFETurbulenceElement.h                      |   57 ---
 DOMSVGFETurbulenceElement.mm                     |  137 -------
 DOMSVGFETurbulenceElementInternal.h              |   34 -
 DOMSVGFilterElement.h                            |   49 --
 DOMSVGFilterElement.mm                           |  137 -------
 DOMSVGFilterElementInternal.h                    |   34 -
 DOMSVGFilterPrimitiveStandardAttributes.cpp      |    6 
 DOMSVGFilterPrimitiveStandardAttributes.h        |    6 
 DOMSVGFitToViewBox.cpp                           |    6 
 DOMSVGFitToViewBox.h                             |    6 
 DOMSVGFontElement.h                              |   31 -
 DOMSVGFontElement.mm                             |   61 ---
 DOMSVGFontElementInternal.h                      |   34 -
 DOMSVGFontFaceElement.h                          |   31 -
 DOMSVGFontFaceElement.mm                         |   61 ---
 DOMSVGFontFaceElementInternal.h                  |   34 -
 DOMSVGFontFaceFormatElement.h                    |   31 -
 DOMSVGFontFaceFormatElement.mm                   |   61 ---
 DOMSVGFontFaceFormatElementInternal.h            |   34 -
 DOMSVGFontFaceNameElement.h                      |   31 -
 DOMSVGFontFaceNameElement.mm                     |   61 ---
 DOMSVGFontFaceNameElementInternal.h              |   34 -
 DOMSVGFontFaceSrcElement.h                       |   31 -
 DOMSVGFontFaceSrcElement.mm                      |   61 ---
 DOMSVGFontFaceSrcElementInternal.h               |   34 -
 DOMSVGFontFaceUriElement.h                       |   31 -
 DOMSVGFontFaceUriElement.mm                      |   61 ---
 DOMSVGFontFaceUriElementInternal.h               |   34 -
 DOMSVGForeignObjectElement.h                     |   39 --
 DOMSVGForeignObjectElement.mm                    |   90 -----
 DOMSVGForeignObjectElementInternal.h             |   34 -
 DOMSVGGElement.h                                 |   34 -
 DOMSVGGElement.mm                                |   64 ---
 DOMSVGGElementInternal.h                         |   34 -
 DOMSVGGlyphElement.h                             |   31 -
 DOMSVGGlyphElement.mm                            |   61 ---
 DOMSVGGlyphElementInternal.h                     |   34 -
 DOMSVGGlyphRefElement.h                          |   41 --
 DOMSVGGlyphRefElement.mm                         |  153 --------
 DOMSVGGlyphRefElementInternal.h                  |   34 -
 DOMSVGGradientElement.h                          |   48 --
 DOMSVGGradientElement.mm                         |   94 -----
 DOMSVGGradientElementInternal.h                  |   34 -
 DOMSVGGraphicsElement.h                          |   50 --
 DOMSVGGraphicsElement.mm                         |  136 -------
 DOMSVGGraphicsElementInternal.h                  |   34 -
 DOMSVGHKernElement.h                             |   31 -
 DOMSVGHKernElement.mm                            |   61 ---
 DOMSVGHKernElementInternal.h                     |   34 -
 DOMSVGImageElement.h                             |   43 --
 DOMSVGImageElement.mm                            |  106 ------
 DOMSVGImageElementInternal.h                     |   34 -
 DOMSVGLength.h                                   |   54 ---
 DOMSVGLength.mm                                  |  183 ----------
 DOMSVGLengthInternal.h                           |   36 --
 DOMSVGLengthList.h                               |   42 --
 DOMSVGLengthList.mm                              |  152 --------
 DOMSVGLengthListInternal.h                       |   36 --
 DOMSVGLineElement.h                              |   39 --
 DOMSVGLineElement.mm                             |   90 -----
 DOMSVGLineElementInternal.h                      |   34 -
 DOMSVGLinearGradientElement.h                    |   37 --
 DOMSVGLinearGradientElement.mm                   |   82 ----
 DOMSVGLinearGradientElementInternal.h            |   34 -
 DOMSVGMPathElement.h                             |   36 --
 DOMSVGMPathElement.mm                            |   72 ----
 DOMSVGMPathElementInternal.h                     |   34 -
 DOMSVGMarkerElement.h                            |   61 ---
 DOMSVGMarkerElement.mm                           |  149 --------
 DOMSVGMarkerElementInternal.h                    |   34 -
 DOMSVGMaskElement.h                              |   49 --
 DOMSVGMaskElement.mm                             |  131 -------
 DOMSVGMaskElementInternal.h                      |   34 -
 DOMSVGMatrix.h                                   |   51 --
 DOMSVGMatrix.mm                                  |  324 ------------------
 DOMSVGMatrixInternal.h                           |   36 --
 DOMSVGMetadataElement.h                          |   31 -
 DOMSVGMetadataElement.mm                         |   56 ---
 DOMSVGMetadataElementInternal.h                  |   34 -
 DOMSVGMissingGlyphElement.h                      |   31 -
 DOMSVGMissingGlyphElement.mm                     |   61 ---
 DOMSVGMissingGlyphElementInternal.h              |   34 -
 DOMSVGNumber.h                                   |   32 -
 DOMSVGNumber.mm                                  |  101 -----
 DOMSVGNumberInternal.h                           |   36 --
 DOMSVGNumberList.h                               |   42 --
 DOMSVGNumberList.mm                              |  151 --------
 DOMSVGNumberListInternal.h                       |   36 --
 DOMSVGPaint.h                                    |   51 --
 DOMSVGPaint.mm                                   |   83 ----
 DOMSVGPaintInternal.h                            |   34 -
 DOMSVGPathElement.h                              |   84 ----
 DOMSVGPathElement.mm                             |  261 ---------------
 DOMSVGPathElementInternal.h                      |   34 -
 DOMSVGPathSeg.h                                  |   58 ---
 DOMSVGPathSeg.mm                                 |   97 -----
 DOMSVGPathSegArcAbs.h                            |   38 --
 DOMSVGPathSegArcAbs.mm                           |  141 --------
 DOMSVGPathSegArcAbsInternal.h                    |   34 -
 DOMSVGPathSegArcRel.h                            |   38 --
 DOMSVGPathSegArcRel.mm                           |  141 --------
 DOMSVGPathSegArcRelInternal.h                    |   34 -
 DOMSVGPathSegClosePath.h                         |   31 -
 DOMSVGPathSegClosePath.mm                        |   57 ---
 DOMSVGPathSegClosePathInternal.h                 |   34 -
 DOMSVGPathSegCurvetoCubicAbs.h                   |   37 --
 DOMSVGPathSegCurvetoCubicAbs.mm                  |  129 -------
 DOMSVGPathSegCurvetoCubicAbsInternal.h           |   34 -
 DOMSVGPathSegCurvetoCubicRel.h                   |   37 --
 DOMSVGPathSegCurvetoCubicRel.mm                  |  129 -------
 DOMSVGPathSegCurvetoCubicRelInternal.h           |   34 -
 DOMSVGPathSegCurvetoCubicSmoothAbs.h             |   35 --
 DOMSVGPathSegCurvetoCubicSmoothAbs.mm            |  105 ------
 DOMSVGPathSegCurvetoCubicSmoothAbsInternal.h     |   34 -
 DOMSVGPathSegCurvetoCubicSmoothRel.h             |   35 --
 DOMSVGPathSegCurvetoCubicSmoothRel.mm            |  105 ------
 DOMSVGPathSegCurvetoCubicSmoothRelInternal.h     |   34 -
 DOMSVGPathSegCurvetoQuadraticAbs.h               |   35 --
 DOMSVGPathSegCurvetoQuadraticAbs.mm              |  105 ------
 DOMSVGPathSegCurvetoQuadraticAbsInternal.h       |   34 -
 DOMSVGPathSegCurvetoQuadraticRel.h               |   35 --
 DOMSVGPathSegCurvetoQuadraticRel.mm              |  105 ------
 DOMSVGPathSegCurvetoQuadraticRelInternal.h       |   34 -
 DOMSVGPathSegCurvetoQuadraticSmoothAbs.h         |   33 -
 DOMSVGPathSegCurvetoQuadraticSmoothAbs.mm        |   81 ----
 DOMSVGPathSegCurvetoQuadraticSmoothAbsInternal.h |   34 -
 DOMSVGPathSegCurvetoQuadraticSmoothRel.h         |   33 -
 DOMSVGPathSegCurvetoQuadraticSmoothRel.mm        |   81 ----
 DOMSVGPathSegCurvetoQuadraticSmoothRelInternal.h |   34 -
 DOMSVGPathSegInternal.h                          |   35 --
 DOMSVGPathSegLinetoAbs.h                         |   33 -
 DOMSVGPathSegLinetoAbs.mm                        |   81 ----
 DOMSVGPathSegLinetoAbsInternal.h                 |   34 -
 DOMSVGPathSegLinetoHorizontalAbs.h               |   32 -
 DOMSVGPathSegLinetoHorizontalAbs.mm              |   69 ----
 DOMSVGPathSegLinetoHorizontalAbsInternal.h       |   34 -
 DOMSVGPathSegLinetoHorizontalRel.h               |   32 -
 DOMSVGPathSegLinetoHorizontalRel.mm              |   69 ----
 DOMSVGPathSegLinetoHorizontalRelInternal.h       |   34 -
 DOMSVGPathSegLinetoRel.h                         |   33 -
 DOMSVGPathSegLinetoRel.mm                        |   81 ----
 DOMSVGPathSegLinetoRelInternal.h                 |   34 -
 DOMSVGPathSegLinetoVerticalAbs.h                 |   32 -
 DOMSVGPathSegLinetoVerticalAbs.mm                |   69 ----
 DOMSVGPathSegLinetoVerticalAbsInternal.h         |   34 -
 DOMSVGPathSegLinetoVerticalRel.h                 |   32 -
 DOMSVGPathSegLinetoVerticalRel.mm                |   69 ----
 DOMSVGPathSegLinetoVerticalRelInternal.h         |   34 -
 DOMSVGPathSegList.h                              |   42 --
 DOMSVGPathSegList.mm                             |  152 --------
 DOMSVGPathSegListInternal.h                      |   38 --
 DOMSVGPathSegMovetoAbs.h                         |   33 -
 DOMSVGPathSegMovetoAbs.mm                        |   81 ----
 DOMSVGPathSegMovetoAbsInternal.h                 |   34 -
 DOMSVGPathSegMovetoRel.h                         |   33 -
 DOMSVGPathSegMovetoRel.mm                        |   81 ----
 DOMSVGPathSegMovetoRelInternal.h                 |   34 -
 DOMSVGPatternElement.h                           |   57 ---
 DOMSVGPatternElement.mm                          |  163 ---------
 DOMSVGPatternElementInternal.h                   |   34 -
 DOMSVGPoint.h                                    |   38 --
 DOMSVGPoint.mm                                   |  138 --------
 DOMSVGPointInternal.h                            |   36 --
 DOMSVGPointList.h                                |   42 --
 DOMSVGPointList.mm                               |  152 --------
 DOMSVGPointListInternal.h                        |   36 --
 DOMSVGPolygonElement.h                           |   37 --
 DOMSVGPolygonElement.mm                          |   78 ----
 DOMSVGPolygonElementInternal.h                   |   34 -
 DOMSVGPolylineElement.h                          |   37 --
 DOMSVGPolylineElement.mm                         |   78 ----
 DOMSVGPolylineElementInternal.h                  |   34 -
 DOMSVGPreserveAspectRatio.h                      |   50 --
 DOMSVGPreserveAspectRatio.mm                     |  125 -------
 DOMSVGPreserveAspectRatioInternal.h              |   36 --
 DOMSVGRadialGradientElement.h                    |   39 --
 DOMSVGRadialGradientElement.mm                   |   94 -----
 DOMSVGRadialGradientElementInternal.h            |   34 -
 DOMSVGRect.h                                     |   35 --
 DOMSVGRect.mm                                    |  155 ---------
 DOMSVGRectElement.h                              |   41 --
 DOMSVGRectElement.mm                             |  102 -----
 DOMSVGRectElementInternal.h                      |   34 -
 DOMSVGRectInternal.h                             |   36 --
 DOMSVGRenderingIntent.h                          |   40 --
 DOMSVGRenderingIntent.mm                         |   82 ----
 DOMSVGRenderingIntentInternal.h                  |   34 -
 DOMSVGSVGElement.h                               |   97 -----
 DOMSVGSVGElement.mm                              |  395 -----------------------
 DOMSVGSVGElementInternal.h                       |   34 -
 DOMSVGScriptElement.h                            |   38 --
 DOMSVGScriptElement.mm                           |   86 -----
 DOMSVGScriptElementInternal.h                    |   34 -
 DOMSVGSetElement.h                               |   31 -
 DOMSVGSetElement.mm                              |   56 ---
 DOMSVGSetElementInternal.h                       |   34 -
 DOMSVGStopElement.h                              |   34 -
 DOMSVGStopElement.mm                             |   64 ---
 DOMSVGStopElementInternal.h                      |   34 -
 DOMSVGStringList.h                               |   42 --
 DOMSVGStringList.mm                              |  151 --------
 DOMSVGStringListInternal.h                       |   36 --
 DOMSVGStyleElement.h                             |   37 --
 DOMSVGStyleElement.mm                            |  111 ------
 DOMSVGStyleElementInternal.h                     |   34 -
 DOMSVGSwitchElement.h                            |   34 -
 DOMSVGSwitchElement.mm                           |   64 ---
 DOMSVGSwitchElementInternal.h                    |   34 -
 DOMSVGSymbolElement.h                            |   38 --
 DOMSVGSymbolElement.mm                           |   80 ----
 DOMSVGSymbolElementInternal.h                    |   34 -
 DOMSVGTRefElement.h                              |   34 -
 DOMSVGTRefElement.mm                             |   64 ---
 DOMSVGTRefElementInternal.h                      |   34 -
 DOMSVGTSpanElement.h                             |   31 -
 DOMSVGTSpanElement.mm                            |   56 ---
 DOMSVGTSpanElementInternal.h                     |   34 -
 DOMSVGTests.cpp                                  |    6 
 DOMSVGTests.h                                    |    6 
 DOMSVGTextContentElement.h                       |   56 ---
 DOMSVGTextContentElement.mm                      |  162 ---------
 DOMSVGTextContentElementInternal.h               |   34 -
 DOMSVGTextElement.h                              |   31 -
 DOMSVGTextElement.mm                             |   56 ---
 DOMSVGTextElementInternal.h                      |   34 -
 DOMSVGTextPathElement.h                          |   48 --
 DOMSVGTextPathElement.mm                         |   86 -----
 DOMSVGTextPathElementInternal.h                  |   34 -
 DOMSVGTextPositioningElement.h                   |   39 --
 DOMSVGTextPositioningElement.mm                  |   90 -----
 DOMSVGTextPositioningElementInternal.h           |   34 -
 DOMSVGTitleElement.h                             |   31 -
 DOMSVGTitleElement.mm                            |   56 ---
 DOMSVGTitleElementInternal.h                     |   34 -
 DOMSVGTransform.h                                |   53 ---
 DOMSVGTransform.mm                               |  182 ----------
 DOMSVGTransformInternal.h                        |   36 --
 DOMSVGTransformList.h                            |   45 --
 DOMSVGTransformList.mm                           |  172 ----------
 DOMSVGTransformListInternal.h                    |   38 --
 DOMSVGURIReference.cpp                           |    6 
 DOMSVGURIReference.h                             |    6 
 DOMSVGUnitTypes.h                                |   37 --
 DOMSVGUnitTypes.mm                               |   82 ----
 DOMSVGUnitTypesInternal.h                        |   34 -
 DOMSVGUseElement.h                               |   44 --
 DOMSVGUseElement.mm                              |  112 ------
 DOMSVGUseElementInternal.h                       |   34 -
 DOMSVGVKernElement.h                             |   31 -
 DOMSVGVKernElement.mm                            |   61 ---
 DOMSVGVKernElementInternal.h                     |   34 -
 DOMSVGViewElement.h                              |   47 --
 DOMSVGViewElement.mm                             |  100 -----
 DOMSVGViewElementInternal.h                      |   34 -
 DOMSVGViewSpec.h                                 |   46 --
 DOMSVGViewSpec.mm                                |  153 --------
 DOMSVGViewSpecInternal.h                         |   34 -
 DOMSVGZoomAndPan.cpp                             |    6 
 DOMSVGZoomAndPan.h                               |    6 
 DOMSVGZoomEvent.h                                |   39 --
 DOMSVGZoomEvent.mm                               |   91 -----
 DOMSVGZoomEventInternal.h                        |   34 -
 442 files changed, 25499 deletions(-)
Comment 2 David Kilzer (:ddkilzer) 2014-02-20 09:43:47 PST
Created attachment 224764 [details]
Patch v1
Comment 3 WebKit Commit Bot 2014-02-20 22:08:23 PST
Comment on attachment 224764 [details]
Patch v1

Clearing flags on attachment: 224764

Committed r164473: <http://trac.webkit.org/changeset/164473>
Comment 4 WebKit Commit Bot 2014-02-20 22:08:27 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Csaba Osztrogon√°c 2014-02-20 23:53:18 PST
(In reply to comment #3)
> (From update of attachment 224764 [details])
> Clearing flags on attachment: 224764
> 
> Committed r164473: <http://trac.webkit.org/changeset/164473>

It broke the bindings tests. Could you possibly fix them?
Comment 6 Ryosuke Niwa 2014-02-21 00:52:29 PST
Rebaselined the tests in http://trac.webkit.org/changeset/164479.
Comment 7 David Kilzer (:ddkilzer) 2014-02-22 08:31:49 PST
(In reply to comment #6)
> Rebaselined the tests in http://trac.webkit.org/changeset/164479.

Thank you, Ryosuke!